﻿/*
--------------------------------------------------------------------------------------------
----------------------------------    mainlayout.css    ------------------------------------
--------------------------------------------------------------------------------------------
Structure: Left Sidebar (NavMenu), Right Sidebar, TopNavTopBar, Sidebar Toggle btns
Appearance: Color Picker (--rz-primary), Fullscreen btn, Dark Mode btn, Preferred Colors
--------------------------------------------------------------------------------------------
*/

/* Top Nav Bar Silver Horizontal Gradient */
.titlebar-container {
    background: var(--jeo-gradient-silver);
}

.titlebar-right-container {
    display: flex;
    align-items: center;
    gap: 6px;
    margin-left: auto;
}


.navbar-header-label {
    font-variant: small-caps;
    font-weight: 500;
    letter-spacing: 1.5px;
    margin-left: 15px;
}

.navbar-header-label-database {
    font-family: "Anonymous+Pro";
    font-variant: normal;
    padding-left: 10px;
    font-size: 32pt;
    color: lime !important;
    font-family: "Consolas", "Monaco", monospace;
    font-weight: bolder;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.database-title-container {
    height: 50px !important;
    padding-right:12px;
}
/* Nav Bar Green Horizontal Gradient */
.navbar-container {
    background: var(--jeo-gradient-rz);
    height: 50px;
    padding: 0px 0px 0px 0px;
    margin: 0px 0px 0px 0px;
}

.navbar-right-colorpicker {
    width: 42px;
    height: 30px;
    padding: 0px 3px 0px 3px;
    border: 0.1px solid rgba(0, 134, 0, 1);
    background: url("../img/colorwheel.png") no-repeat !important;
    background-size: contain !important;
    background-repeat: no-repeat !important;
    background-position: center !important;
    background-size: 40px 30px !important;
    margin-right: 10px;
}


/* Sidebar Nav Collapse / Expand */
.sidebar-left-container {
    width: 57px;
    display: flex;
    flex-direction: column;
    /*transition: width 0.3s ease;*/
    font-size: 10pt;

    .collapsed {
        width: 0;
        overflow: hidden;
        transform: translateX(-100%);
    }
}

.sidebar-left-panel-menu-item {
    font-size: 7pt;
    font-weight: 700;
}

.sidebar-horizontal-divider {
    height: 1px;
    background: #22262e;
    margin: 4px 0;
    width: 100%;
}


.sidebar-right-container {
    width: 217px;
    height: 100%;
}

.sidebar-right-titlebar {
    background-color: #17191d;
    color: #ffffff;
    font-family: Consolas, Monaco, monospace;
    font-size: 8.5pt;
    font-weight: bold;
    padding-top: 5px !important;
    padding-left: 5px !important;
    padding-bottom: 5px !important;
    padding-right: 5px !important;
    /*border-bottom: 1px solid var(--jeo-border-color);*/
    border-bottom: 1px solid black;
    border-left: 1px solid black;
    border-right: 1px solid black;
    letter-spacing: 0.5px;
    display: flex;
    align-items: center;
}

.sidebar-right-section-titlebar {
    background-color: var(--rz-header-background-color);
    color: var(--rz-white);
    height: 24px;
    font-family: Consolas, Monaco, monospace;
    font-size: 10pt;
    font-weight: bold;
    padding-left: 5px;
    margin-top:5px;
    display: flex;
    border: .5px solid var(--rz-black);

}

/* Force dropdown popups to appear above the splitter containers */
.rz-dropdown-panel, .rz-overlaypanel {
    z-index: 9999 !important;
    position: absolute !important;
}

.rz-splitter-bar-lastresizable .rz-collapse {
    /*background-image: url('../img/pacman.gif');*/
    transition: all 1.3s ease;
}